
TYPO3.Neos - Task # 53609

Status: Resolved Priority: Should have
Author: Bastian Waidelich Category:
Created: 2013-11-13 Assigned To: Bastian Waidelich
Updated: 2013-12-09 Due date:
Subject: Improve homepage migration
Description

With #53381 the site node of a Neos installation acts as entry point for a site.
Migrating previous sites (or importing an "old" Sites.xml) turns the site node to a shortcut.

In addition this shortcut should be "hidden in index" and get a title (= site name) by default.

Associated revisions
Revision c1b4cc5d - 2013-12-09 01:53 - Adrian Föder

[TASK] Improve backward compatibility of Site Import

when attempting to import "old" Site XML, there is the need
to make the site node a Shortcut to the first subpage, flag it
to be hidden in index, and add a `title` property being the
site's name.

This introduces a method to "patch" the incoming XML to
comply with the above requirements.

Note: this reverts parts of Iddc86edb51df20f1c72e280f8571b918a09af0f6
where the backward compatibility requirements were already
partially implemented.

Change-Id: I3280096189f5f5eafa7b9c684d3d64c9376fe0f1
Resolves: #53609
Related: #53381
Reviewed-on: https://review.typo3.org/26071
Reviewed-by: Adrian Föder
Tested-by: Adrian Föder
Tested-by: Mr. Hudson
Reviewed-by: Karsten Dambekalns
Reviewed-by: Bastian Waidelich
Tested-by: Bastian Waidelich

History
#1 - 2013-12-08 19:59 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/26071
#2 - 2013-12-08 20:02 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/26071

#3 - 2013-12-09 02:37 - Adrian Föder
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:c1b4cc5d26f5c4dad60f95158aaae124ffad6325.
